Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Class ExceptionBreakpoint

    java.lang.Object
      org.netbeans.api.debugger.Breakpoint
          org.netbeans.api.debugger.jpda.JPDABreakpoint
              org.netbeans.api.debugger.jpda.ExceptionBreakpoint

    public final class ExceptionBreakpoint

extends JPDABreakpoint

Notifies about exceptions throw in debugged JVM.
How to use it:

        DebuggerManager.addBreakpoint (ExceptionBreakpoint.create (
            "java.lang.NullPointerException",
            ExceptionBreakpoint.TYPE_EXCEPTION_UNCATCHED
        ));

This breakpoint stops when NullPointerException is throw and uncatched.

Field Summary
`static String` | `PROP_CATCH_TYPE` Property name constant.
`static String` | `PROP_CONDITION` Property name constant.
`static String` | `PROP_EXCEPTION_CLASS_NAME` Property name constant
`static int` | `TYPE_EXCEPTION_CATCHED` Catch type constant.
`static int` | `TYPE_EXCEPTION_CATCHED_UNCATCHED` Catch type constant.
`static int` | `TYPE_EXCEPTION_UNCATCHED` Catch type constant.

Fields inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`PROP_HIDDEN, PROP_PRINT_TEXT, PROP_SUSPEND, SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

Fields inherited from class org.netbeans.api.debugger.Breakpoint
`PROP_DISPOSED, PROP_ENABLED, PROP_GROUP_NAME`

Method Summary
`static ExceptionBreakpoint` | `create(String exceptionClassName, int catchType)` Creates a new breakpoint for given parameters.
`int` | `getCatchType()` Returns breakpoint type property value.
`String` | `getCondition()` Returns condition.
`String` | `getExceptionClassName()` Get name of exception class to stop on.
`void` | `setCatchType(int catchType)` Sets breakpoint type property value.
`void` | `setCondition(String cond)` Sets condition.
`void` | `setExceptionClassName(String cn)` Set name of exception class to stop on.
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`addJPDABreakpointListener, disable, enable, getPrintText, getSuspend, isEnabled, isHidden, removeJPDABreakpointListener, setHidden, setPrintText, setSuspend`

Methods inherited from class org.netbeans.api.debugger.Breakpoint
`addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getGroupName, removePropertyChangeListener, removePropertyChangeListener, setGroupName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_EXCEPTION_CLASS_NAME

    public static final String PROP_EXCEPTION_CLASS_NAME

  Property name constant

  See Also:
    Constant Field Values

### PROP_CATCH_TYPE

    public static final String PROP_CATCH_TYPE

  Property name constant.

  See Also:
    Constant Field Values

### PROP_CONDITION

    public static final String PROP_CONDITION

  Property name constant.

  See Also:
    Constant Field Values

### TYPE_EXCEPTION_CATCHED

    public static final int TYPE_EXCEPTION_CATCHED

  Catch type constant.

  See Also:
    Constant Field Values

### TYPE_EXCEPTION_UNCATCHED

    public static final int TYPE_EXCEPTION_UNCATCHED

  Catch type constant.

  See Also:
    Constant Field Values

### TYPE_EXCEPTION_CATCHED_UNCATCHED

    public static final int TYPE_EXCEPTION_CATCHED_UNCATCHED

  Catch type constant.

  See Also:
    Constant Field Values

Method Detail

### create

    public static ExceptionBreakpoint create(String exceptionClassName,
                                             int catchType)

  Creates a new breakpoint for given parameters.

  Parameters:
    `exceptionClassName` - class name filter
    `catchType` - one of constants: TYPE_EXCEPTION_CATCHED, TYPE_EXCEPTION_UNCATCHED, TYPE_EXCEPTION_CATCHED_UNCATCHED
  Returns:
    a new breakpoint for given parameters

### getExceptionClassName

    public String getExceptionClassName()

  Get name of exception class to stop on.

  Returns:
    name of exception class to stop on

### setExceptionClassName

    public void setExceptionClassName(String cn)

  Set name of exception class to stop on.

  Parameters:
    `cn` - a new name of exception class to stop on.

### getCondition

    public String getCondition()

  Returns condition.

  Returns:
    cond a condition

### setCondition

    public void setCondition(String cond)

  Sets condition.

  Parameters:
    `cond` - a c new condition

### getCatchType

    public int getCatchType()

  Returns breakpoint type property value.

  Returns:
    breakpoint type property value.

### setCatchType

    public void setCatchType(int catchType)

  Sets breakpoint type property value.

  Parameters:
    `catchType` - a new value of breakpoint type property value

### toString

    public String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.